Bug 177426 - [NEW PORT] www/trac-watchlist: Provide watchlist feature for Trac
Summary: [NEW PORT] www/trac-watchlist: Provide watchlist feature for Trac
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 22:10 UTC by Hung-Yi Chen
Modified: 2013-07-16 06:50 UTC (History)
0 users

See Also:


Attachments
trac-watchlist.diff (8.70 KB, patch)
2013-03-27 22:10 UTC, Hung-Yi Chen
no flags Details | Diff
trac-watchlist.diff (9.48 KB, patch)
2013-04-01 20:35 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2013-03-27 22:10:00 UTC
This plug-in adds a watchlist for wikis and tickets.
Every logged-in user can watch any wikis and ticket.
The watchlist is provided under [/watchlist] which
is also added to the main navigation bar.

WWW: http://trac-hacks.org/wiki/WatchlistPlugin
Comment 1 Martin Wilke freebsd_committer 2013-03-28 08:22:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Hung-Yi Chen 2013-04-01 20:35:52 UTC
Hi,

I update MASTER_SITES with a minor change.

2013/3/28  <FreeBSD-gnats-submit@freebsd.org>:
> Thank you very much for your problem report.
> It has the internal identification `ports/177426'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=177426
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       [NEW PORT] www/trac-watchlist: Provide watchlist feature for Trac
>>Arrival-Date:   Wed Mar 27 22:10:00 UTC 2013
Comment 3 Martin Wilke freebsd_committer 2013-07-16 06:43:29 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2013-07-16 06:44:11 UTC
Author: miwi
Date: Tue Jul 16 05:43:56 2013
New Revision: 323090
URL: http://svnweb.freebsd.org/changeset/ports/323090

Log:
  This plug-in adds a watchlist for wikis and tickets.
  Every logged-in user can watch any wikis and ticket.
  The watchlist is provided under [/watchlist] which
  is also added to the main navigation bar.
  
  WWW: http://trac-hacks.org/wiki/WatchlistPlugin
  
  PR:		ports/177426
  Submitted by:	Hung-Yi Chen <gaod@hychen.org>

Added:
  head/www/trac-watchlist/
  head/www/trac-watchlist/Makefile   (contents, props changed)
  head/www/trac-watchlist/distinfo   (contents, props changed)
  head/www/trac-watchlist/pkg-descr   (contents, props changed)
  head/www/trac-watchlist/pkg-plist   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Tue Jul 16 05:43:05 2013	(r323089)
+++ head/www/Makefile	Tue Jul 16 05:43:56 2013	(r323090)
@@ -1967,6 +1967,7 @@
     SUBDIR += trac-tweakui
     SUBDIR += trac-vote
     SUBDIR += trac-wantedpages
+    SUBDIR += trac-watchlist
     SUBDIR += trac-wikigoodies
     SUBDIR += trac-wikinegotiator
     SUBDIR += trac-wikinotification

Added: head/www/trac-watchlist/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-watchlist/Makefile	Tue Jul 16 05:43:56 2013	(r323090)
@@ -0,0 +1,31 @@
+# Created by: Hung-Yi Chen <gaod@hychen.org>
+# $FreeBSD$
+
+PORTNAME=	watchlist
+PORTVERSION=	1.0.${SVN_REV}
+CATEGORIES=	www devel python
+MASTER_SITES=	http://distfiles.cse.tw/ \
+		http://trac-hacks.org/changeset/${SVN_REV}/watchlistplugin?old_path=/&format=zip&filename=/
+PKGNAMEPREFIX=	trac-
+DISTNAME=	${PORTNAME}plugin-r${SVN_REV}
+
+MAINTAINER=	gaod@hychen.org
+COMMENT=	Provide watchlist feature for wikis and tickets of Trac
+
+LICENSE=	BSD
+
+SVN_REV=	11526
+
+RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
+
+WRKSRC=		${WRKDIR}/${PORTNAME}plugin/0.12
+USE_ZIP=	yes
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+
+FETCH_BEFORE_ARGS=	-o ${DISTFILES}
+PYDISTUTILS_PKGNAME=	TracWatchlistPlugin
+PYDISTUTILS_PKGVERSION=	${PORTVERSION:C/.${SVN_REV}//g}
+#PLIST_FILES=		%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+.include <bsd.port.mk>

Added: head/www/trac-watchlist/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-watchlist/distinfo	Tue Jul 16 05:43:56 2013	(r323090)
@@ -0,0 +1,2 @@
+SHA256 (watchlistplugin-r11526.zip) = 2d6e154dbd0f428abace182f381e353fe73136e70035637477ff7516ea3764de
+SIZE (watchlistplugin-r11526.zip) = 953922

Added: head/www/trac-watchlist/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-watchlist/pkg-descr	Tue Jul 16 05:43:56 2013	(r323090)
@@ -0,0 +1,6 @@
+This plug-in adds a watchlist for wikis and tickets.
+Every logged-in user can watch any wikis and ticket.
+The watchlist is provided under [/watchlist] which
+is also added to the main navigation bar.
+
+WWW: http://trac-hacks.org/wiki/WatchlistPlugin

Added: head/www/trac-watchlist/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-watchlist/pkg-plist	Tue Jul 16 05:43:56 2013	(r323090)
@@ -0,0 +1,86 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/plugin.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/translation.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/wiki.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/api.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manual.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/ticket.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/nav.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/db.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/plugin.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/translation.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/wiki.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/api.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manual.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/ticket.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/nav.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/db.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/render/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/render/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/render/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/watchlist_manual.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/watchlist_prefs.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/watchlist.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/wl-ticket.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/wl-wiki.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/orderadd.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates/watchlist_prefs_main.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/prev.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/next.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/desc.gif
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/history.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/last.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/asc.gif
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/first.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/diff.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/bg.gif
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico/unwatch.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css/jquery.autocomplete.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css/dataTable.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css/watchlist.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css/anytime.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css/tablesorter.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/jquery.dataTables.min.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/orderadd.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/anytime.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/dynamictables.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/jquery.autocomplete.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/jookie.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/autocomplete.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js/watchlist.js
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/en-US.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/de.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/en-GB.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/attachments/de/screenshot.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/plugin.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/wiki.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/translation.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/api.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manual.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/ticket.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/nav.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/db.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/templates
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/render
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/js
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/ico
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs/css
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/htdocs
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/attachments/de
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals/attachments
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist/manuals
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tracwatchlist
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"